View Issue Details

IDProjectCategoryView StatusLast Update
0003465SOGoWeb Mailpublic2016-03-15 16:01
Reporterstephan Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.8 
Fixed in Version2.3.9 
Summary0003465: SOGoMailMessageCheck prefered to SOGoRefreshViewCheck
Description

The old configuration value "SOGoMailMessageCheck" is still used in the webmailer. Users can change the value and it's saved as "SOGoRefreshViewCheck". But SOGo ignores the new value "SOGoRefreshViewCheck".

The bug is in .../UI/WebServerResources/MailerUI.js

function initRefreshViewCheckTimer() {
// TEMPORARY : to be erase
var refreshViewCheck = UserDefaults["SOGoMailMessageCheck"];
if (refreshViewCheck == null)
refreshViewCheck = UserDefaults["SOGoRefreshViewCheck"];

It must be
function initRefreshViewCheckTimer() {
var refreshViewCheck = UserDefaults["SOGoRefreshViewCheck"];
// TEMPORARY : to be erase
if (refreshViewCheck == null)
refreshViewCheck = UserDefaults["SOGoMailMessageCheck"];

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: v2 188328d5

2016-03-15 16:00:13

francis

Details Diff
(js) Prefer RefreshViewCheck to MailMessageCheck

Fixes 0003465
Affected Issues
0003465
mod - NEWS Diff File
mod - UI/WebServerResources/MailerUI.js Diff File

Issue History

Date Modified Username Field Change
2016-01-28 07:10 stephan New Issue
2016-02-02 15:31 francis Product Version 2.3.6 => 2.3.8
2016-03-15 16:00 francis Changeset attached => sogo v2 188328d5
2016-03-15 16:00 francis Assigned To => francis
2016-03-15 16:00 francis Resolution open => fixed
2016-03-15 16:01 francis Status new => resolved
2016-03-15 16:01 francis Fixed in Version => 2.3.9